%define	name	stegdetect
%define	version	0.5
%define	release	2mdk

Summary:	Detects steganographic content in images
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphics
URL:		http://www.outguess.org/detection.php
Source0:	%{name}-%{version}.tar.bz2
Requires:	libevent0 libgtk+1.2
BuildRequires:	libevent0-devel libgtk+1.2-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Stegdetect is an automated tool for detecting steganographic content
in images. It is capable of detecting several different steganographic
methods to embed hidden information in JPEG images. Currently, the
detectable schemes are jsteg, jphide (Unix and Windows), invisible
secrets, and outguess 01.3b.

%prep

%setup -q -n %{name}

%build
export CFLAGS="%{optflags} `gtk-config --cflags`"
%configure
%make
%make xsteg

%install
rm -rf %{buildroot}
%makeinstall

# fix menu stuff...
install -m 755 -d %{buildroot}%{_libdir}/menu

# install menu entry.
cat <<EOF > %{buildroot}%{_libdir}/menu/%{name}
?package(%{name}): \
needs="X11" \
section="Multimedia/Graphics" \
title="Stegdetect" \
longtitle="Detects steganographic content in images." \
command="xsteg" \
icon="kcmx.png" \
mimetypes="image/jpeg"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/stegbreak
%{_bindir}/stegdetect
%{_bindir}/xsteg
%{_mandir}/man1/*
%{_datadir}/stegbreak/*
%{_libdir}/menu/%{name}

%changelog
* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5-2mdk
- build release

* Fri Apr  5 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5-1mdk
- new version

* Sat Dec 22 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4-2mdk
- first attempt to include the gui...

* Fri Dec 21 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4-1mdk
- initial cooker contrib
- leave out the gui for now..., I'll fix it soon...
